
#include "pixeltype.h"

bool isWalkable(PixelType target){
    return target != WALL && target != ROCK && target != BEDROCK
            && target != IRON_ORE && target != TREE && target != LIBRARY
            && target != DUDE && target != SPAWN;
}

bool isResource(PixelType target)
{
    return target == FOOD
        || target == WOOD
        || target == STONE
        || target == IRON
        || target == SWORD;
}

bool isDestroyable(PixelType target){
    return (target == DUDE || target == SPAWN || target == WALL
            || target == LIBRARY || target == ROAD);
}
